function [ output ] = Volume( X ,d)
%VOLUME We calculate the volume of the projection of the cube
%   See Algorithm 6.1 Step 8
    
%     We calculate the number of complex dimension we are subdividing
%     along, rounded down to the nearest integer. 
    m = floor(d/2);

    % We calculate the diameter of omega
    vol_omega = 2*rad(X.omega);
    % We calculate the diameter of epsilon
    vol_A1    = 2*rad(X.A(1));
    
    
    % We calculate the volume of the cube, depending on the projection
    % dimension.
    if d < 3
       output= vol_omega * vol_A1;
    else
        vol_A_2_m = prod(2*rad(X.A(2:m)));
        vol_B_2_m = prod(2*rad(X.B(2:m)));
    
        output= vol_omega * vol_A1 * vol_A_2_m *vol_B_2_m;
    end
    
end

